Description

Steps to reproduce

1) set a non ascii character in network or vnic description on oVirt for example german umlauts (ä,ü,ü etc.)

2) try to edit a host from hostview that is associates with oVirt or try to provision a new host on the affacted oVirt cluster.

This leads to the following error: "Oops, we're sorry but something went wrong "\xC3" from ASCII-8BIT to UTF-8". It is impossible to

edit hosts in this situation or provision any vm on oVirt.

It worked fine on 2.3.5 and below.

2021-06-29T14:39:29 [I|app|684792e1] Started GET "/hosts/my.host.com/edit" for 2a03:xxxx:xxxx::x a

t 2021-06-29 14:39:29 +0200

2021-06-29T14:39:29 [I|app|684792e1] Processing by HostsController#edit as HTML

2021-06-29T14:39:29 [I|app|684792e1]   Parameters: {"id"=>"my.host.com"}

2021-06-29T14:39:29 [I|app|684792e1]   Rendering hosts/edit.html.erb within layouts/application

2021-06-29T14:39:29 [I|app|684792e1]   Rendered hosts/_progress.html.erb (Duration: 3.3ms | Alloca

tions: 6553)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered /usr/share/gems/gems/katello-4.1.0/app/views/overr

ides/activation_keys/_host_environment_select.html.erb (Duration: 21.8ms | Allocations: 13106)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered hosts/puppet/_main_tab_fields.html.erb (Duration: 

9.4ms | Allocations: 8605)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered collection of puppetclasses/_selectedClasses.html.

erb [0 times] (Duration: 0.0ms | Allocations: 3)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered collection of puppetclasses/_classes_in_groups.htm

l.erb [0 times] (Duration: 0.0ms | Allocations: 3)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered puppetclasses/_classes.html.erb (Duration: 3.2ms |

 Allocations: 6410)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered puppetclasses/_class_selection.html.erb (Duration:

 35.9ms | Allocations: 26638)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered hosts/puppet/_puppet_classes_tab.html.erb (Duratio

n: 40.2ms | Allocations: 33344)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered nic/_base_form.html.erb (Duration: 45.7ms | Alloca

tions: 29674)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered nic/_virtual_form.html.erb (Duration: 4.2ms | Allo

cations: 7439)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered compute_resources_vms/form/ovirt/_network.html.erb

 (Duration: 362.0ms | Allocations: 24483)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered nic/_provider_specific_form.html.erb (Duration: 39

9.0ms | Allocations: 31044)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered nic/manageds/_managed.html.erb (Duration: 452.5ms 

| Allocations: 75307)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered hosts/_interfaces.html.erb (Duration: 456.4ms | Al

locations: 82390)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered hosts/_form.html.erb (Duration: 596.1ms | Allocati
ons: 180030)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered hosts/edit.html.erb within layouts/application (Du

ration: 602.7ms | Allocations: 187193)

2021-06-29T14:39:29 [W|app|684792e1] "\xC3" from ASCII-8BIT to UTF-8

2021-06-29T14:39:29 [I|app|684792e1] Backtrace for '"\xC3" from ASCII-8BIT to UTF-8' error (Action

View::Template::Error): "\xC3" from ASCII-8BIT to UTF-8

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/core_ext/object/json.rb:

39:in `to_json'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/core_ext/object/json.rb:

39:in `to_json'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/json/encoding.rb:57:in `

to_json'

 684792e1 | /usr/share/ruby/json/common.rb:224:in `generate'

 684792e1 | /usr/share/ruby/json/common.rb:224:in `generate'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/json/encoding.rb:106:in 

`stringify'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/json/encoding.rb:35:in `

encode'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/json/encoding.rb:22:in `

encode'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/core_ext/object/json.rb:

42:in `to_json'

 684792e1 | /usr/share/foreman/app/views/compute_resources_vms/form/ovirt/_network.html.erb:10:in 

`_1137e18f4585015d91ba3d7d87da5306'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.rb:274:in `_run'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:185:in `block in r

ender'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:182:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:385:in `instrument

_render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:183:in `render'

 684792e1 | /usr/share/gems/gems/deface-1.5.3/lib/deface/action_view_extensions.rb:43:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

57:in `block in render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

88:in `block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications/instrument

er.rb:24:in `instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

87:in `instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

46:in `render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

17:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:65:in `re

nder_partial_to_object'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:53:in `re

nder_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/rendering_helper.rb:38

:in `render'

 684792e1 | /usr/share/foreman/app/views/nic/_provider_specific_form.html.erb:14:in `block in _d20

a1854f44db48bb8904845008ed8be'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:45:i

n `block in capture'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:209:

in `with_output_buffer'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:45:i

n `capture'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/form_helper.rb:1009:in

 `fields_for'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/form_helper.rb:2191:in

 `fields_for'
 684792e1 | /usr/share/foreman/app/views/nic/_provider_specific_form.html.erb:13:in `_d20a1854f44d

b48bb8904845008ed8be'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.rb:274:in `_run'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:185:in `block in r

ender'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:182:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:385:in `instrument

_render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:183:in `render'

 684792e1 | /usr/share/gems/gems/deface-1.5.3/lib/deface/action_view_extensions.rb:43:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

57:in `block in render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

88:in `block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications/instrument

er.rb:24:in `instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

87:in `instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

46:in `render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

17:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:65:in `re

nder_partial_to_object'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:53:in `re

nder_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/rendering_helper.rb:38

:in `render'

 684792e1 | /usr/share/foreman/app/views/nic/manageds/_managed.html.erb:16:in `_dc624af4e8a4bcd986

7a9aaa0cdb38cf'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.rb:274:in `_run'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:185:in `block in r

ender'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:182:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:385:in `instrument

_render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:183:in `render'

 684792e1 | /usr/share/gems/gems/deface-1.5.3/lib/deface/action_view_extensions.rb:43:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

57:in `block in render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

88:in `block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications/instrument

er.rb:24:in `instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

87:in `instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

46:in `render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

17:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:65:in `re

nder_partial_to_object'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:27:in `re

nder_to_object'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:22:in `re

nder'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/rendering_helper.rb:34
:in `block in render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.rb:304:in `in_rendering_c

ontext'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/rendering_helper.rb:30

:in `render'

 684792e1 | /usr/share/foreman/app/views/hosts/_interfaces.html.erb:50:in `block in _e908a4bea9efb

c6d278c6a2ede0b5919'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:45:i

n `block in capture'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:209:

in `with_output_buffer'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:45:i

n `capture'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/form_helper.rb:2547:in

 `block in fields_for_nested_model'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:45:i

n `block in capture'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:209:

in `with_output_buffer'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:45:i

n `capture'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/form_helper.rb:1009:in

 `fields_for'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/form_helper.rb:2546:in

 `fields_for_nested_model'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/form_helper.rb:2532:in

 `block in fields_for_with_nested_attributes'

 684792e1 | /usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/relation/delegation.rb:87:

in `each'

 684792e1 | /usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/relation/delegation.rb:87:

in `each'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/form_helper.rb:2526:in

 `fields_for_with_nested_attributes'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/form_helper.rb:2166:in

 `fields_for'

 684792e1 | /usr/share/foreman/app/views/hosts/_interfaces.html.erb:49:in `_e908a4bea9efbc6d278c6a

2ede0b5919'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.rb:274:in `_run'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:185:in `block in r

ender'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:182:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:385:in `instrument

_render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:183:in `render'

 684792e1 | /usr/share/gems/gems/deface-1.5.3/lib/deface/action_view_extensions.rb:43:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

57:in `block in render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

88:in `block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications/instrument

er.rb:24:in `instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

87:in `instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

46:in `render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

17:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:65:in `re

nder_partial_to_object'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:53:in `re

nder_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/rendering_helper.rb:38
:in `render'

 684792e1 | /usr/share/foreman/app/views/hosts/_form.html.erb:118:in `block (2 levels) in _cc92c3d

5968e9cb6d32c5e118722d606'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:45:i

n `block in capture'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:209:

in `with_output_buffer'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/capture_helper.rb:45:i

n `capture'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/form_helper.rb:452:in 

`form_for'

 684792e1 | /usr/share/foreman/app/helpers/form_helper.rb:287:in `form_for'

 684792e1 | /usr/share/foreman/app/views/hosts/_form.html.erb:7:in `block in _cc92c3d5968e9cb6d32c

5e118722d606'

 684792e1 | /usr/share/foreman/app/models/taxonomy.rb:83:in `block (2 levels) in as_taxonomy'

 684792e1 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:195:in `as_location'

 684792e1 | /usr/share/foreman/app/models/taxonomy.rb:82:in `block in as_taxonomy'

 684792e1 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:154:in `as_org'

 684792e1 | /usr/share/foreman/app/models/taxonomy.rb:81:in `as_taxonomy'

 684792e1 | /usr/share/foreman/app/views/hosts/_form.html.erb:6:in `_cc92c3d5968e9cb6d32c5e118722d

606'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.rb:274:in `_run'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:185:in `block in r

ender'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:182:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:385:in `instrument

_render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:183:in `render'

 684792e1 | /usr/share/gems/gems/deface-1.5.3/lib/deface/action_view_extensions.rb:43:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

57:in `block in render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

88:in `block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications/instrument

er.rb:24:in `instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

87:in `instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

46:in `render_partial'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/partial_renderer.rb:3

17:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:65:in `re

nder_partial_to_object'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:27:in `re

nder_to_object'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:22:in `re

nder'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/rendering_helper.rb:34

:in `block in render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.rb:304:in `in_rendering_c

ontext'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/helpers/rendering_helper.rb:30

:in `render'

 684792e1 | /usr/share/foreman/app/views/hosts/edit.html.erb:16:in `_a2c05935b17a33a7d05d12f4a2261

bb1'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.rb:274:in `_run'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:185:in `block in r

ender'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:182:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:385:in `instrument

_render_template'
 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/template.rb:183:in `render'

 684792e1 | /usr/share/gems/gems/deface-1.5.3/lib/deface/action_view_extensions.rb:43:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/template_renderer.rb:

58:in `block (2 levels) in render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

88:in `block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications/instrument

er.rb:24:in `instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/abstract_renderer.rb:

87:in `instrument'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/template_renderer.rb:

57:in `block in render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/template_renderer.rb:

65:in `render_with_layout'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/template_renderer.rb:

56:in `render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/template_renderer.rb:

13:in `render'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:61:in `re

nder_template_to_object'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/renderer/renderer.rb:29:in `re

nder_to_object'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/rendering.rb:117:in `block in 

_render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/base.rb:304:in `in_rendering_c

ontext'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/rendering.rb:116:in `_render_t

emplate'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/streaming.rb:218:i

n `_render_template'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/rendering.rb:103:in `render_to

_body'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/rendering.rb:52:in

 `render_to_body'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/renderers.rb:142:i

n `render_to_body'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controller/rendering.rb:25:in `re

nder'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/rendering.rb:36:in

 `render'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb

:44:in `block (2 levels) in render'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/core_ext/benchmark.rb:14

:in `block in ms'

 684792e1 | /usr/share/ruby/benchmark.rb:308:in `realtime'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/core_ext/benchmark.rb:14

:in `ms'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb

:44:in `block in render'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb

:84:in `cleanup_view_runtime'

 684792e1 | /usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/railties/controller_runtim

e.rb:34:in `cleanup_view_runtime'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb

:43:in `render'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/implicit_render.rb

:35:in `default_render'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/basic_implicit_ren

der.rb:6:in `block in send_action'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/basic_implicit_ren

der.rb:6:in `tap'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/basic_implicit_ren

der.rb:6:in `send_action'
 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controller/base.rb:195:in `proces

s_action'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/rendering.rb:30:in

 `process_action'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controller/callbacks.rb:42:in `bl

ock in process_action'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:112:in `blo

ck in run_callbacks'

 684792e1 | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_

timezone'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `blo

ck in run_callbacks'

 684792e1 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `blo

ck in run_callbacks'

 684792e1 | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in

 `set_topbar_sweeper_controller'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `blo

ck in run_callbacks'

 684792e1 | /usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:in `around'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `blo

ck in run_callbacks'

 684792e1 | /usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:in `around'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:121:in `blo

ck in run_callbacks'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:139:in `run

_callbacks'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controller/callbacks.rb:41:in `pr

ocess_action'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/rescue.rb:22:in `p

rocess_action'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb

:33:in `block in process_action'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`block in instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications/instrument

er.rb:24:in `instrument'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/notifications.rb:180:in 

`instrument'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumentation.rb

:32:in `process_action'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal/params_wrapper.rb:

245:in `process_action'

 684792e1 | /usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/railties/controller_runtim

e.rb:27:in `process_action'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controller/base.rb:136:in `proces

s'

 684792e1 | /usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/rendering.rb:39:in `process'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal.rb:190:in `dispatc

h'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/metal.rb:254:in `dispatc

h'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set.rb:50:in

 `dispatch'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set.rb:33:in

 `serve'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb:49:in `b

lock in serve'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb:32:in `e

ach'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb:32:in `s

erve'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set.rb:834:i

n `call'

 684792e1 | /usr/share/gems/gems/katello-4.1.0/lib/katello/middleware/organization_created_enforce

r.rb:18:in `call'

 684792e1 | /usr/share/gems/gems/katello-4.1.0/lib/katello/middleware/event_daemon.rb:10:in `call'
 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/apipie-dsl-2.4.0/lib/apipie_dsl/static_dispatcher.rb:67:in `call'

 684792e1 | /usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/static_dispatcher.rb:66:in `call'

 684792e1 | /usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/extractor/recorder.rb:137:in `call

'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'

 684792e1 | /usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/middleware/checksum_in_headers.rb:

27:in `call'

 684792e1 | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15:in `call'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/conditional_get.rb:27:in `call'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/http/content_security_poli

cy.rb:18:in `call'

 684792e1 | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:266:in `context'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:260:in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/cookies.rb:648:

in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/callbacks.rb:27

:in `block in call'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:101:in `run

_callbacks'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/callbacks.rb:26

:in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/actionable_exce

ptions.rb:18:in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/debug_exception

s.rb:32:in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/show_exceptions

.rb:33:in `call'

 684792e1 | /usr/share/gems/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:37:in `call_app'

 684792e1 | /usr/share/gems/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:28:in `call'

 684792e1 | /usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet_assets.rb:13:in `

call'

 684792e1 | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/remote_ip.rb:81

:in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/request_id.rb:2

7:in `call'

 684792e1 | /usr/share/gems/gems/katello-4.1.0/lib/katello/prevent_json_parsing.rb:12:in `call'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/method_override.rb:24:in `call'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `call'

 684792e1 | /usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/cache/strategy/local_cac

he_middleware.rb:29:in `call'
 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/executor.rb:14:

in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static.rb:126:i

n `call'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `call'

 684792e1 | /usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/host_authorizat

ion.rb:76:in `call'

 684792e1 | /usr/share/gems/gems/secure_headers-6.3.0/lib/secure_headers/middleware.rb:11:in `call

'

 684792e1 | /usr/share/gems/gems/railties-6.0.3.7/lib/rails/engine.rb:527:in `call'

 684792e1 | /usr/share/gems/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in `public_send'

 684792e1 | /usr/share/gems/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in `method_missing'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `block in call'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each'

 684792e1 | /usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call'

 684792e1 | /usr/share/gems/gems/puma-5.3.2/lib/puma/configuration.rb:249:in `call'

 684792e1 | /usr/share/gems/gems/puma-5.3.2/lib/puma/request.rb:77:in `block in handle_request'

 684792e1 | /usr/share/gems/gems/puma-5.3.2/lib/puma/thread_pool.rb:338:in `with_force_shutdown'

 684792e1 | /usr/share/gems/gems/puma-5.3.2/lib/puma/request.rb:76:in `handle_request'

 684792e1 | /usr/share/gems/gems/puma-5.3.2/lib/puma/server.rb:438:in `process_client'

 684792e1 | /usr/share/gems/gems/puma-5.3.2/lib/puma/thread_pool.rb:145:in `block in spawn_thread'

 684792e1 | /usr/share/gems/gems/logging-2.3.0/lib/logging/diagnostic_context.rb:474:in `block in 

create_with_logging_context'

2021-06-29T14:39:29 [I|app|684792e1]   Rendering common/500.html.erb within layouts/application

2021-06-29T14:39:29 [I|app|684792e1]   Rendered common/500.html.erb within layouts/application (Du

ration: 8.7ms | Allocations: 7074)

2021-06-29T14:39:29 [I|app|684792e1]   Rendered layouts/_application_content.html.erb (Duration: 4

.2ms | Allocations: 6497)

2021-06-29T14:39:29 [I|app|684792e1]   Rendering layouts/base.html.erb

2021-06-29T14:39:29 [I|app|684792e1]   Rendered layouts/base.html.erb (Duration: 6.9ms | Allocatio

ns: 9218)

2021-06-29T14:39:29 [I|app|684792e1] Completed 500 Internal Server Error in 700ms (Views: 26.4ms |

 ActiveRecord: 29.7ms | Allocations: 245805)

Foreman version: 2.5.1

Plugins: 

 - foreman-tasks 4.1.2

 - foreman_ansible 6.3.0

 - foreman_azure_rm 2.2.4

 - foreman_openscap 4.3.2

 - foreman_remote_execution 4.5.0

 - foreman_statistics 1.1.1

 - foreman_templates 9.1.0

 - foreman_virt_who_configure 0.5.6

 - foreman_webhooks 2.0.0

 - katello 4.1.0

Associated revisions

Revision 4ca8b610 - 08/17/2021 11:29 AM - yifat makias

Fixes #32908 - Allow UTF character in vnic attributes

If vnic profile attributes contained UTF characters the to_json method

returned error. In order to support this passed the data by

JSON.generate instead.

History

#1 - 07/27/2021 11:57 AM - yifat makias

- Pull request https://github.com/fog/fog-ovirt/pull/102 added

#2 - 07/27/2021 11:59 AM - yifat makias

- Status changed from New to Ready For Testing

#3 - 08/05/2021 10:45 AM - The Foreman Bot

- Assignee set to yifat makias
- Pull request https://github.com/theforeman/foreman/pull/8709 added

#4 - 08/17/2021 11:29 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 08/17/2021 12:08 PM - yifat makias

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|4ca8b61018fa9003f767f21d7a5ec4a9444c6855.
